import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsDeployLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
interface MsDeployLogCU extends ConditionUtil<MsDeployLogCU> {
    ID: FieldUtil<MsDeployLogCU>;
    CREATE_TIME: FieldUtil<MsDeployLogCU>;
    UPDATE_TIME: FieldUtil<MsDeployLogCU>;
    STATE: FieldUtil<MsDeployLogCU>;
    PROJECT_ID: FieldUtil<MsDeployLogCU>;
    PRJ_COMMIT_ID: FieldUtil<MsDeployLogCU>;
    BUILD_TAG: FieldUtil<MsDeployLogCU>;
    APP_NAME: FieldUtil<MsDeployLogCU>;
    DEPLOY_ID: FieldUtil<MsDeployLogCU>;
    PID: FieldUtil<MsDeployLogCU>;
    ENV_TYPE: FieldUtil<MsDeployLogCU>;
    ENV_CODE: FieldUtil<MsDeployLogCU>;
    NAMESPACE_K8S: FieldUtil<MsDeployLogCU>;
    K8S_CLUSTER_ID: FieldUtil<MsDeployLogCU>;
    PROJECT_VERSION_ID: FieldUtil<MsDeployLogCU>;
    VERSION_NO: FieldUtil<MsDeployLogCU>;
    IMAGE: FieldUtil<MsDeployLogCU>;
    K8S_DEPLOYMENT: FieldUtil<MsDeployLogCU>;
    K8S_DEPLOYMENT_TAG: FieldUtil<MsDeployLogCU>;
    CPU: FieldUtil<MsDeployLogCU>;
    MEMORY: FieldUtil<MsDeployLogCU>;
    SERVICE_PORT: FieldUtil<MsDeployLogCU>;
    CONTAINER_PORT: FieldUtil<MsDeployLogCU>;
    REPLICAS: FieldUtil<MsDeployLogCU>;
    REPLICAS_MAX: FieldUtil<MsDeployLogCU>;
    START_CMD_LINE: FieldUtil<MsDeployLogCU>;
    START_PARAMS: FieldUtil<MsDeployLogCU>;
    ENV_JSON: FieldUtil<MsDeployLogCU>;
    KAFKA_HOSTS: FieldUtil<MsDeployLogCU>;
    KAFKA_TOPIC: FieldUtil<MsDeployLogCU>;
    DEPLOY_STATUS: FieldUtil<MsDeployLogCU>;
    DEPLOY_MSG: FieldUtil<MsDeployLogCU>;
    K8S_CONFIG: FieldUtil<MsDeployLogCU>;
    IMAGE_SERVICE_CONFIG: FieldUtil<MsDeployLogCU>;
    KAFKA_CONFIG: FieldUtil<MsDeployLogCU>;
    LOG_CONFIG_TEMPLATE_ID: FieldUtil<MsDeployLogCU>;
    LOG_CONFIG: FieldUtil<MsDeployLogCU>;
    ENV_CONFIG_REF_ID: FieldUtil<MsDeployLogCU>;
}
declare class MsDeployLogMU extends TableUtilImpl<MsDeployLogCU, MsDeployLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsDeployLogCU;
    static get ID(): FieldUtil<MsDeployLogCU>;
    static get CREATE_TIME(): FieldUtil<MsDeployLogCU>;
    static get UPDATE_TIME(): FieldUtil<MsDeployLogCU>;
    static get STATE(): FieldUtil<MsDeployLogCU>;
    static get PROJECT_ID(): FieldUtil<MsDeployLogCU>;
    static get PRJ_COMMIT_ID(): FieldUtil<MsDeployLogCU>;
    static get BUILD_TAG(): FieldUtil<MsDeployLogCU>;
    static get APP_NAME(): FieldUtil<MsDeployLogCU>;
    static get DEPLOY_ID(): FieldUtil<MsDeployLogCU>;
    static get PID(): FieldUtil<MsDeployLogCU>;
    static get ENV_TYPE(): FieldUtil<MsDeployLogCU>;
    static get ENV_CODE(): FieldUtil<MsDeployLogCU>;
    static get NAMESPACE_K8S(): FieldUtil<MsDeployLogCU>;
    static get K8S_CLUSTER_ID(): FieldUtil<MsDeployLogCU>;
    static get PROJECT_VERSION_ID(): FieldUtil<MsDeployLogCU>;
    static get VERSION_NO(): FieldUtil<MsDeployLogCU>;
    static get IMAGE(): FieldUtil<MsDeployLogCU>;
    static get K8S_DEPLOYMENT(): FieldUtil<MsDeployLogCU>;
    static get K8S_DEPLOYMENT_TAG(): FieldUtil<MsDeployLogCU>;
    static get CPU(): FieldUtil<MsDeployLogCU>;
    static get MEMORY(): FieldUtil<MsDeployLogCU>;
    static get SERVICE_PORT(): FieldUtil<MsDeployLogCU>;
    static get CONTAINER_PORT(): FieldUtil<MsDeployLogCU>;
    static get REPLICAS(): FieldUtil<MsDeployLogCU>;
    static get REPLICAS_MAX(): FieldUtil<MsDeployLogCU>;
    static get START_CMD_LINE(): FieldUtil<MsDeployLogCU>;
    static get START_PARAMS(): FieldUtil<MsDeployLogCU>;
    static get ENV_JSON(): FieldUtil<MsDeployLogCU>;
    static get KAFKA_HOSTS(): FieldUtil<MsDeployLogCU>;
    static get KAFKA_TOPIC(): FieldUtil<MsDeployLogCU>;
    static get DEPLOY_STATUS(): FieldUtil<MsDeployLogCU>;
    static get DEPLOY_MSG(): FieldUtil<MsDeployLogCU>;
    static get K8S_CONFIG(): FieldUtil<MsDeployLogCU>;
    static get IMAGE_SERVICE_CONFIG(): FieldUtil<MsDeployLogCU>;
    static get KAFKA_CONFIG(): FieldUtil<MsDeployLogCU>;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<MsDeployLogCU>;
    static get LOG_CONFIG(): FieldUtil<MsDeployLogCU>;
    static get ENV_CONFIG_REF_ID(): FieldUtil<MsDeployLogCU>;
    get ID(): FieldUtil<MsDeployLogCU>;
    get CREATE_TIME(): FieldUtil<MsDeployLogCU>;
    get UPDATE_TIME(): FieldUtil<MsDeployLogCU>;
    get STATE(): FieldUtil<MsDeployLogCU>;
    get PROJECT_ID(): FieldUtil<MsDeployLogCU>;
    get PRJ_COMMIT_ID(): FieldUtil<MsDeployLogCU>;
    get BUILD_TAG(): FieldUtil<MsDeployLogCU>;
    get APP_NAME(): FieldUtil<MsDeployLogCU>;
    get DEPLOY_ID(): FieldUtil<MsDeployLogCU>;
    get PID(): FieldUtil<MsDeployLogCU>;
    get ENV_TYPE(): FieldUtil<MsDeployLogCU>;
    get ENV_CODE(): FieldUtil<MsDeployLogCU>;
    get NAMESPACE_K8S(): FieldUtil<MsDeployLogCU>;
    get K8S_CLUSTER_ID(): FieldUtil<MsDeployLogCU>;
    get PROJECT_VERSION_ID(): FieldUtil<MsDeployLogCU>;
    get VERSION_NO(): FieldUtil<MsDeployLogCU>;
    get IMAGE(): FieldUtil<MsDeployLogCU>;
    get K8S_DEPLOYMENT(): FieldUtil<MsDeployLogCU>;
    get K8S_DEPLOYMENT_TAG(): FieldUtil<MsDeployLogCU>;
    get CPU(): FieldUtil<MsDeployLogCU>;
    get MEMORY(): FieldUtil<MsDeployLogCU>;
    get SERVICE_PORT(): FieldUtil<MsDeployLogCU>;
    get CONTAINER_PORT(): FieldUtil<MsDeployLogCU>;
    get REPLICAS(): FieldUtil<MsDeployLogCU>;
    get REPLICAS_MAX(): FieldUtil<MsDeployLogCU>;
    get START_CMD_LINE(): FieldUtil<MsDeployLogCU>;
    get START_PARAMS(): FieldUtil<MsDeployLogCU>;
    get ENV_JSON(): FieldUtil<MsDeployLogCU>;
    get KAFKA_HOSTS(): FieldUtil<MsDeployLogCU>;
    get KAFKA_TOPIC(): FieldUtil<MsDeployLogCU>;
    get DEPLOY_STATUS(): FieldUtil<MsDeployLogCU>;
    get DEPLOY_MSG(): FieldUtil<MsDeployLogCU>;
    get K8S_CONFIG(): FieldUtil<MsDeployLogCU>;
    get IMAGE_SERVICE_CONFIG(): FieldUtil<MsDeployLogCU>;
    get KAFKA_CONFIG(): FieldUtil<MsDeployLogCU>;
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<MsDeployLogCU>;
    get LOG_CONFIG(): FieldUtil<MsDeployLogCU>;
    get ENV_CONFIG_REF_ID(): FieldUtil<MsDeployLogCU>;
}
export { MsDeployLogMU, MsDeployLogCU };
